package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class SQLAlterTableModifyClusteredBy extends SQLObjectImpl implements SQLAlterTableItem {
   private List<SQLName> clusterColumns = new ArrayList();

   public List<SQLName> getClusterColumns() {
      return this.clusterColumns;
   }

   public void addClusterColumn(SQLName name) {
      this.clusterColumns.add(name);
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.clusterColumns);
      }

      visitor.endVisit(this);
   }
}
